Bug 1965633 - libreport crashes
Summary: libreport crashes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matej Grabovsky
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard:
: 1966357 1966530 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-28 15:45 UTC by Jan Vlug
Modified: 2021-09-03 09:55 UTC (History)
26 users (show)

Fixed In Version: libreport-2.15.2-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-10 01:13:25 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
File: backtrace (32.54 KB, text/plain)
2021-06-02 20:29 UTC, Germán Alejandro Mysko
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github abrt libreport pull 726 0 None closed Fix segfault/double-free 2021-06-02 09:23:03 UTC

Description Jan Vlug 2021-05-28 15:45:53 UTC
Description of problem:
libreport crash when reporting crashes with ABRT-GUI since last dnf update.

Version-Release number of selected component (if applicable):
2.15.1-1.fc34

How reproducible:
Always

Steps to Reproduce:
1. Report a crash with ABRT-GUI

Actual results:
A crash in libreport is detected.

Expected results:
A correctly reported crash.

Additional info:
https://retrace.fedoraproject.org/faf/reports/167595/

Comment 1 Jerry James 2021-05-28 16:24:47 UTC
I am seeing this, too.  Here is a backtrace with debuginfo packages installed:

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:49
#1  0x00007f5daa5eb8a4 in __GI_abort () at abort.c:79
#2  0x00007f5daa644a97 in __libc_message (action=action@entry=do_abort, fmt=fmt@entry=0x7f5daa7557fc "%s\n")
    at ../sysdeps/posix/libc_fatal.c:155
#3  0x00007f5daa64c70c in malloc_printerr (str=str@entry=0x7f5daa757bf0 "free(): double free detected in tcache 2")
    at malloc.c:5628
#4  0x00007f5daa64e1e8 in _int_free (av=0x7f5daa788a00 <main_arena>, p=0x55eb5982c3c0, have_lock=0) at malloc.c:4432
#5  0x00007f5daa6517c8 in __GI___libc_free (mem=<optimized out>) at malloc.c:3309
#6  0x000055eb57cfe1b8 in consume_cmd_output (source=<optimized out>, condition=<optimized out>, data=0x55eb5982c3d0)
    at /usr/src/debug/libreport-2.15.1-1.fc34.x86_64/src/gui-wizard-gtk/wizard.c:1728
#7  0x00007f5daa8254cf in g_main_dispatch (context=0x55eb5928ec00) at ../glib/gmain.c:3337
#8  g_main_context_dispatch (context=0x55eb5928ec00) at ../glib/gmain.c:4055
#9  0x00007f5daa8794e8 in g_main_context_iterate.constprop.0
    (context=context@entry=0x55eb5928ec00, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>)
    at ../glib/gmain.c:4131
#10 0x00007f5daa822c03 in g_main_context_iteration (context=context@entry=0x55eb5928ec00, may_block=may_block@entry=1)
    at ../glib/gmain.c:4196
#11 0x00007f5daaa4395d in g_application_run (application=0x55eb595420f0, argc=1076013540, argv=<optimized out>)
    at ../gio/gapplication.c:2560
#12 0x000055eb57cf822d in main (argc=<optimized out>, argv=<optimized out>)
    at /usr/src/debug/libreport-2.15.1-1.fc34.x86_64/src/gui-wizard-gtk/main.c:221

Comment 2 Jerry James 2021-05-28 16:29:25 UTC
Here is what valgrind has to say about the double free:

==5986== Memcheck, a memory error detector
==5986== Copyright (C) 2002-2017, and GNU GPL'd, by Julian Seward et al.
==5986== Using Valgrind-3.17.0 and LibVEX; rerun with -h for copyright info
==5986== Command: report-gtk -- /var/spool/abrt/ccpp-2021-05-28-10:05:36.710566-4028
==5986== 
==5993== Warning: invalid file descriptor 1024 in syscall close()
==5993== Warning: invalid file descriptor 1025 in syscall close()
==5993== Warning: invalid file descriptor 1026 in syscall close()
==5993== Warning: invalid file descriptor 1027 in syscall close()
==5993==    Use --log-fd=<number> to select an alternative log fd.
==5993== Warning: invalid file descriptor 1028 in syscall close()
==5993== Warning: invalid file descriptor 1029 in syscall close()
==5986== Invalid read of size 8
==5986==    at 0x118199: consume_cmd_output (wizard.c:1726)
==5986==    by 0x544B4CE: UnknownInlinedFun (gmain.c:3337)
==5986==    by 0x544B4CE: g_main_context_dispatch (gmain.c:4055)
==5986==    by 0x549F4E7: g_main_context_iterate.constprop.0 (gmain.c:4131)
==5986==    by 0x5448C02: g_main_context_iteration (gmain.c:4196)
==5986==    by 0x52A395C: g_application_run (gapplication.c:2560)
==5986==    by 0x11222C: main (main.c:221)
==5986==  Address 0x165c60b0 is 32 bytes inside a block of size 48 free'd
==5986==    at 0x48430E4: free (vg_replace_malloc.c:755)
==5986==    by 0x545024C: g_free (gmem.c:199)
==5986==    by 0x4888174: UnknownInlinedFun (run_event.c:54)
==5986==    by 0x4888174: free_run_event_state (run_event.c:48)
==5986==    by 0x118198: consume_cmd_output (wizard.c:1725)
==5986==    by 0x544B4CE: UnknownInlinedFun (gmain.c:3337)
==5986==    by 0x544B4CE: g_main_context_dispatch (gmain.c:4055)
==5986==    by 0x549F4E7: g_main_context_iterate.constprop.0 (gmain.c:4131)
==5986==    by 0x5448C02: g_main_context_iteration (gmain.c:4196)
==5986==    by 0x52A395C: g_application_run (gapplication.c:2560)
==5986==    by 0x11222C: main (main.c:221)
==5986==  Block was alloc'd at
==5986==    at 0x4845464: calloc (vg_replace_malloc.c:1117)
==5986==    by 0x5453E60: g_malloc0 (gmem.c:136)
==5986==    by 0x1176A9: UnknownInlinedFun (wizard.c:1835)
==5986==    by 0x1176A9: on_page_prepare (wizard.c:2508)
==5986==    by 0x53AEC2E: g_closure_invoke (gclosure.c:810)
==5986==    by 0x53CAEA5: signal_emit_unlocked_R (gsignal.c:3741)
==5986==    by 0x53CC769: g_signal_emit_valist (gsignal.c:3497)
==5986==    by 0x53CC982: g_signal_emit (gsignal.c:3553)
==5986==    by 0x4B3AD0B: UnknownInlinedFun (gtknotebook.c:6264)
==5986==    by 0x4B3AD0B: gtk_notebook_set_current_page (gtknotebook.c:6847)
==5986==    by 0x119BEF: UnknownInlinedFun (wizard.c:3350)
==5986==    by 0x119BEF: activate_wizard (main.c:119)
==5986==    by 0x53AEC2E: g_closure_invoke (gclosure.c:810)
==5986==    by 0x53CAEA5: signal_emit_unlocked_R (gsignal.c:3741)
==5986==    by 0x53CC769: g_signal_emit_valist (gsignal.c:3497)
==5986== 
==5986== Invalid read of size 8
==5986==    at 0x1181A7: consume_cmd_output (wizard.c:1727)
==5986==    by 0x544B4CE: UnknownInlinedFun (gmain.c:3337)
==5986==    by 0x544B4CE: g_main_context_dispatch (gmain.c:4055)
==5986==    by 0x549F4E7: g_main_context_iterate.constprop.0 (gmain.c:4131)
==5986==    by 0x5448C02: g_main_context_iteration (gmain.c:4196)
==5986==    by 0x52A395C: g_application_run (gapplication.c:2560)
==5986==    by 0x11222C: main (main.c:221)
==5986==  Address 0x165c6098 is 8 bytes inside a block of size 48 free'd
==5986==    at 0x48430E4: free (vg_replace_malloc.c:755)
==5986==    by 0x545024C: g_free (gmem.c:199)
==5986==    by 0x4888174: UnknownInlinedFun (run_event.c:54)
==5986==    by 0x4888174: free_run_event_state (run_event.c:48)
==5986==    by 0x118198: consume_cmd_output (wizard.c:1725)
==5986==    by 0x544B4CE: UnknownInlinedFun (gmain.c:3337)
==5986==    by 0x544B4CE: g_main_context_dispatch (gmain.c:4055)
==5986==    by 0x549F4E7: g_main_context_iterate.constprop.0 (gmain.c:4131)
==5986==    by 0x5448C02: g_main_context_iteration (gmain.c:4196)
==5986==    by 0x52A395C: g_application_run (gapplication.c:2560)
==5986==    by 0x11222C: main (main.c:221)
==5986==  Block was alloc'd at
==5986==    at 0x4845464: calloc (vg_replace_malloc.c:1117)
==5986==    by 0x5453E60: g_malloc0 (gmem.c:136)
==5986==    by 0x1176A9: UnknownInlinedFun (wizard.c:1835)
==5986==    by 0x1176A9: on_page_prepare (wizard.c:2508)
==5986==    by 0x53AEC2E: g_closure_invoke (gclosure.c:810)
==5986==    by 0x53CAEA5: signal_emit_unlocked_R (gsignal.c:3741)
==5986==    by 0x53CC769: g_signal_emit_valist (gsignal.c:3497)
==5986==    by 0x53CC982: g_signal_emit (gsignal.c:3553)
==5986==    by 0x4B3AD0B: UnknownInlinedFun (gtknotebook.c:6264)
==5986==    by 0x4B3AD0B: gtk_notebook_set_current_page (gtknotebook.c:6847)
==5986==    by 0x119BEF: UnknownInlinedFun (wizard.c:3350)
==5986==    by 0x119BEF: activate_wizard (main.c:119)
==5986==    by 0x53AEC2E: g_closure_invoke (gclosure.c:810)
==5986==    by 0x53CAEA5: signal_emit_unlocked_R (gsignal.c:3741)
==5986==    by 0x53CC769: g_signal_emit_valist (gsignal.c:3497)
==5986== 
==5986== Invalid free() / delete / delete[] / realloc()
==5986==    at 0x48430E4: free (vg_replace_malloc.c:755)
==5986==    by 0x1181B7: consume_cmd_output (wizard.c:1728)
==5986==    by 0x544B4CE: UnknownInlinedFun (gmain.c:3337)
==5986==    by 0x544B4CE: g_main_context_dispatch (gmain.c:4055)
==5986==    by 0x549F4E7: g_main_context_iterate.constprop.0 (gmain.c:4131)
==5986==    by 0x5448C02: g_main_context_iteration (gmain.c:4196)
==5986==    by 0x52A395C: g_application_run (gapplication.c:2560)
==5986==    by 0x11222C: main (main.c:221)
==5986==  Address 0x165c6090 is 0 bytes inside a block of size 48 free'd
==5986==    at 0x48430E4: free (vg_replace_malloc.c:755)
==5986==    by 0x545024C: g_free (gmem.c:199)
==5986==    by 0x4888174: UnknownInlinedFun (run_event.c:54)
==5986==    by 0x4888174: free_run_event_state (run_event.c:48)
==5986==    by 0x118198: consume_cmd_output (wizard.c:1725)
==5986==    by 0x544B4CE: UnknownInlinedFun (gmain.c:3337)
==5986==    by 0x544B4CE: g_main_context_dispatch (gmain.c:4055)
==5986==    by 0x549F4E7: g_main_context_iterate.constprop.0 (gmain.c:4131)
==5986==    by 0x5448C02: g_main_context_iteration (gmain.c:4196)
==5986==    by 0x52A395C: g_application_run (gapplication.c:2560)
==5986==    by 0x11222C: main (main.c:221)
==5986==  Block was alloc'd at
==5986==    at 0x4845464: calloc (vg_replace_malloc.c:1117)
==5986==    by 0x5453E60: g_malloc0 (gmem.c:136)
==5986==    by 0x1176A9: UnknownInlinedFun (wizard.c:1835)
==5986==    by 0x1176A9: on_page_prepare (wizard.c:2508)
==5986==    by 0x53AEC2E: g_closure_invoke (gclosure.c:810)
==5986==    by 0x53CAEA5: signal_emit_unlocked_R (gsignal.c:3741)
==5986==    by 0x53CC769: g_signal_emit_valist (gsignal.c:3497)
==5986==    by 0x53CC982: g_signal_emit (gsignal.c:3553)
==5986==    by 0x4B3AD0B: UnknownInlinedFun (gtknotebook.c:6264)
==5986==    by 0x4B3AD0B: gtk_notebook_set_current_page (gtknotebook.c:6847)
==5986==    by 0x119BEF: UnknownInlinedFun (wizard.c:3350)
==5986==    by 0x119BEF: activate_wizard (main.c:119)
==5986==    by 0x53AEC2E: g_closure_invoke (gclosure.c:810)
==5986==    by 0x53CAEA5: signal_emit_unlocked_R (gsignal.c:3741)
==5986==    by 0x53CC769: g_signal_emit_valist (gsignal.c:3497)
==5986==

Comment 3 Mauro Carvalho Chehab 2021-05-29 07:13:21 UTC
It is happening here too:

   Crash in g_type_check_instance_is_a
   https://retrace.fedoraproject.org/faf/reports/83034/

I upgraded to F34 yesterday. packages:

  libreport-gtk-2.15.1-1.fc34.x86_64
  glib2-2.68.2-1.fc34.x86_64

PS.: that was after a clean boot. Funny enough, I was able to report the libreport bug via ABRT.

Comment 4 Mauro Carvalho Chehab 2021-05-29 07:17:54 UTC
(In reply to Mauro Carvalho Chehab from comment #3)
> It is happening here too:
> 
>    Crash in g_type_check_instance_is_a
>    https://retrace.fedoraproject.org/faf/reports/83034/

Sorry, the correct pointer for the libreport bug is here:

   
   https://retrace.fedoraproject.org/faf/reports/168132/

Package versions:

  libreport-gtk-2.15.1-1.fc34.x86_64
  librsvg2-2.50.6-1.fc34.x86_64
  gdk-pixbuf2-2.42.6-1.fc34.x86_64

Comment 5 Tony 2021-05-30 16:37:17 UTC
I was pointed here:

https://retrace.fedoraproject.org/faf/reports/167595/

1.25K+ reports in the last couple of days.

Comment 6 Matej Grabovsky 2021-05-31 17:38:07 UTC
Thanks for the Valgrind investigation, Jerry. We should have a patch prepared in short order.

Comment 7 Matej Grabovsky 2021-06-01 08:08:59 UTC
*** Bug 1966357 has been marked as a duplicate of this bug. ***

Comment 8 Matej Grabovsky 2021-06-01 09:08:43 UTC
Upstream pull request fixing this: https://github.com/abrt/libreport/pull/726

Comment 9 Matej Grabovsky 2021-06-01 10:56:25 UTC
*** Bug 1966530 has been marked as a duplicate of this bug. ***

Comment 10 Germán Alejandro Mysko 2021-06-02 20:28:23 UTC
Similar problem has been detected:

Se genera al informar un error mediante abrt desde la GUI.

reporter:       libreport-2.15.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1001.slice/user/app.slice/app-org.freedesktop.GnomeAbrt-1fc33033a6c24bdfbb5f42558622c8ce.scope
cmdline:        report-gtk -- /var/spool/abrt/ccpp-2021-06-02-12:33:50.952956-2088
crash_function: consume_cmd_output
executable:     /usr/bin/report-gtk
journald_cursor: s=2e8453d053f0493fae9bd6e7f56d6c41;i=451d5;b=12ebb816a0f34173a6fc910df20bf154;m=25b1fa11;t=5c3ca41b236e3;x=5a13f0de7c8747fc
kernel:         5.12.7-300.fc34.x86_64
package:        libreport-gtk-2.15.1-1.fc34
reason:         report-gtk killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 11 Germán Alejandro Mysko 2021-06-02 20:29:10 UTC
Created attachment 1788752 [details]
File: backtrace

Comment 12 JH 2021-06-02 21:48:33 UTC
Similar problem has been detected:

Happens when clicking the 'Report' button in the abrt gui

reporter:       libreport-2.15.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.freedesktop.GnomeAbrt-2822.scope
cmdline:        report-gtk -- /var/spool/abrt/oops-2021-05-29-15:09:03-1291-0
crash_function: consume_cmd_output
executable:     /usr/bin/report-gtk
journald_cursor: s=640ce550f5d8428d8518facd39698d6d;i=af0;b=4bc3cb5eadca4c6ca7b5bbe76a2b3d7a;m=4d8208e;t=5c37cbc421a60;x=a866d8e621f457b6
kernel:         5.12.7-300.fc34.x86_64
package:        libreport-gtk-2.15.1-1.fc34
reason:         report-gtk killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 telometto 2021-06-05 12:04:51 UTC
Experiencing the same issue.

Comment 14 Mai Ling 2021-06-06 10:54:31 UTC
After FC33>34 upgrade, I can no longer report bugs from selinux alert browser, because the gui window dissapears and the logs record this:

$ journalctl -f 
-- Journal begins at Sun 2021-06-06 13:47:32 EEST. --
iun 06 13:49:16 e403na systemd-coredump[4305]: [🡕] Process 4274 (report-gtk) of user 1000 dumped core.
                                               
                                               Stack trace of thread 4274:
                                               #0  0x00007fb34ae062a2 raise (libc.so.6 + 0x3d2a2)
                                               #1  0x00007fb34adef8a4 abort (libc.so.6 + 0x268a4)
                                               #2  0x00007fb34ae48a97 __libc_message (libc.so.6 + 0x7fa97)
                                               #3  0x00007fb34ae5070c malloc_printerr (libc.so.6 + 0x8770c)
                                               #4  0x00007fb34ae517ac malloc_consolidate (libc.so.6 + 0x887ac)
                                               #5  0x00007fb34ae5366b _int_malloc (libc.so.6 + 0x8a66b)
                                               #6  0x00007fb34ae552c1 __libc_malloc (libc.so.6 + 0x8c2c1)
                                               #7  0x00007fb34ae3e264 _IO_file_doallocate (libc.so.6 + 0x75264)
                                               #8  0x00007fb34ae4cb70 _IO_doallocbuf (libc.so.6 + 0x83b70)
                                               #9  0x00007fb34ae4ba7c _IO_file_underflow (libc.so.6 + 0x82a7c)
                                               #10 0x00007fb34ae4cc26 _IO_default_uflow (libc.so.6 + 0x83c26)
                                               #11 0x00007fb34ae47268 _IO_getc (libc.so.6 + 0x7e268)
                                               #12 0x00007fb34bc6f5d8 load_text_from_file_descriptor (libreport.so.1 + 0x135d8)
                                               #13 0x00007fb34bc71669 dd_check (libreport.so.1 + 0x15669)
                                               #14 0x00007fb34bc71d47 dd_lock (libreport.so.1 + 0x15d47)
                                               #15 0x00007fb34bc73512 dd_do_open (libreport.so.1 + 0x17512)
                                               #16 0x0000558dc197d167 problem_data_reload_from_dump_dir (report-gtk + 0xd167)
                                               #17 0x0000558dc197f1f5 on_page_prepare (report-gtk + 0xf1f5)
                                               #18 0x00007fb34b121c2f g_closure_invoke (libgobject-2.0.so.0 + 0x13c2f)
                                               #19 0x00007fb34b13dea6 signal_emit_unlocked_R (libgobject-2.0.so.0 + 0x2fea6)
                                               #20 0x00007fb34b13f76a g_signal_emit_valist (libgobject-2.0.so.0 + 0x3176a)
                                               #21 0x00007fb34b13f983 g_signal_emit (libgobject-2.0.so.0 + 0x31983)
                                               #22 0x00007fb34b712d0c gtk_notebook_set_current_page (libgtk-3.so.0 + 0x27cd0c)
                                               #23 0x0000558dc1980532 consume_cmd_output (report-gtk + 0x10532)
                                               #24 0x00007fb34b0294cf g_main_context_dispatch (libglib-2.0.so.0 + 0x554cf)
                                               #25 0x00007fb34b07d4e8 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa94e8)
                                               #26 0x00007fb34b026c03 g_main_context_iteration (libglib-2.0.so.0 + 0x52c03)
                                               #27 0x00007fb34b24795d g_application_run (libgio-2.0.so.0 + 0xdc95d)
                                               #28 0x0000558dc197a22d main (report-gtk + 0xa22d)
                                               #29 0x00007fb34adf0b75 __libc_start_main (libc.so.6 + 0x27b75)
                                               #30 0x0000558dc197a37e _start (report-gtk + 0xa37e)
                                               
                                               Stack trace of thread 4276:
                                               #0  0x00007fb34aebe5bf __poll (libc.so.6 + 0xf55bf)
                                               #1  0x00007fb34b07d47c g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa947c)
                                               #2  0x00007fb34b028a93 g_main_loop_run (libglib-2.0.so.0 + 0x54a93)
                                               #3  0x00007fb34b27bd5a gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x110d5a)
                                               #4  0x00007fb34b057c32 g_thread_proxy (libglib-2.0.so.0 + 0x83c32)
                                               #5  0x00007fb34afa1299 start_thread (libpthread.so.0 + 0x9299)
                                               #6  0x00007fb34aec9353 __clone (libc.so.6 + 0x100353)
                                               
                                               Stack trace of thread 4280:
                                               #0  0x00007fb34aec3e0d syscall (libc.so.6 + 0xfae0d)
                                               #1  0x00007fb34b07784c g_cond_wait_until (libglib-2.0.so.0 + 0xa384c)
                                               #2  0x00007fb34aff9401 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0 + 0x25401)
                                               #3  0x00007fb34aff9586 g_async_queue_timeout_pop (libglib-2.0.so.0 + 0x25586)
                                               #4  0x00007fb34b05abc9 g_thread_pool_thread_proxy.lto_priv.0 (libglib-2.0.so.0 + 0x86bc9)
                                               #5  0x00007fb34b057c32 g_thread_proxy (libglib-2.0.so.0 + 0x83c32)
                                               #6  0x00007fb34afa1299 start_thread (libpthread.so.0 + 0x9299)
                                               #7  0x00007fb34aec9353 __clone (libc.so.6 + 0x100353)
                                               
                                               Stack trace of thread 4275:
                                               #0  0x00007fb34aebe5bf __poll (libc.so.6 + 0xf55bf)
                                               #1  0x00007fb34b07d47c g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0xa947c)
                                               #2  0x00007fb34b026c03 g_main_context_iteration (libglib-2.0.so.0 + 0x52c03)
                                               #3  0x00007fb34b026c51 glib_worker_main (libglib-2.0.so.0 + 0x52c51)
                                               #4  0x00007fb34b057c32 g_thread_proxy (libglib-2.0.so.0 + 0x83c32)
                                               #5  0x00007fb34afa1299 start_thread (libpthread.so.0 + 0x9299)
                                               #6  0x00007fb34aec9353 __clone (libc.so.6 + 0x100353)
iun 06 13:49:16 e403na systemd[1]: systemd-coredump: Deactivated successfully.
iun 06 13:49:16 e403na audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-4304-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
iun 06 13:49:16 e403na sealert[4273]: Lock file '.lock' was locked by process 4274, but it crashed?

Comment 15 Pranav 2021-06-07 11:44:17 UTC
I'm having this same issue in Fedora 34 for the last few days.

ABRT Server: https://retrace.fedoraproject.org/faf/reports/bthash/0921dcbad9b37b444df67251fe6d12a8ae506efa

Comment 16 João Carlos Mendes Luís 2021-06-07 14:19:03 UTC
(In reply to Matej Grabovsky from comment #8)
> Upstream pull request fixing this: https://github.com/abrt/libreport/pull/726

And the fix has already been released, 2.15.2-1

Please update!

Comment 17 Fedora Update System 2021-06-07 14:29:47 UTC
FEDORA-2021-42dbb094da has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-42dbb094da

Comment 18 Matej Grabovsky 2021-06-07 14:32:54 UTC
We just pushed the update a few minutes ago, it should be linked now.

Sorry for the delay.

Comment 19 Pranav 2021-06-07 16:16:39 UTC
(In reply to João Carlos Mendes Luís from comment #16)
> (In reply to Matej Grabovsky from comment #8)
> > Upstream pull request fixing this: https://github.com/abrt/libreport/pull/726
> 
> And the fix has already been released, 2.15.2-1
> 
> Please update!

I have even use the VPN to connect US to see if there is any update. 
So far libreport is still version 2.15.1, not on 2.15.2.

Comment 20 Pranav 2021-06-07 16:34:46 UTC
(In reply to Pranav Bhattarai from comment #19)
> 
> I have even use the VPN to connect US to see if there is any update. 
> So far libreport is still version 2.15.1, not on 2.15.2.

Sorry for this stupid comment. I can see the new update in "Github". I thought the "general" update was rolled to the public.

Comment 21 Fedora Update System 2021-06-09 01:16:26 UTC
FEDORA-2021-42dbb094da has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-42dbb094da`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-42dbb094da

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2021-06-10 01:13:25 UTC
FEDORA-2021-42dbb094da has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.